clear all 
close all 


%system
K=1
num=K
den=[1 2 1 0]
plant=tf(num,den)

% PI Ziegler Nicolson tuning
run sim4_4.slx

Kc = 2
Tc = 6.28
Kp= Kc*0.45
Ti=Tc/1.2 

%PI
s = tf('s')
PI = Kp*(1+(1/(Ti*s)))

%transfer function of the close loop system
sys = feedback(series(plant,PI),1)

%pole
pole(sys)
figure(1)
pzplot(sys)

%step
t=0:0.1:180;
figure(2)
step(sys,t)

figure(3)
plot(simout.time, simout.Data)

